Cloud Library Updates for Android Users


Users of cloudLibrary with Android devices (including Kindle Fires) are strongly advised to update to the latest version.

Kindle Fire users should follow the instructions presented on the CloudLibrary website

Other Android devices should update as normal.

We are sorry to say that SOME devices will be incompatible (for reading e-books) with this update. Audiobooks will still be available on their devices, but e-book readers will need to invest in a newer device. Devices impacted by this are those below Android 5.0, or below Fire OS 5.0 (for Amazon devices).



Other Android devices should update as normal.

We are sorry to say that SOME devices will be incompatible (for reading e-books) with this update. Audiobooks will still be available on their devices, but e-book readers will need to invest in a newer device. Devices impacted by this are those below Android 5.0, or below Fire OS 5.0 (for Amazon devices).